Skip to content

List all Active Directory domains

Request

Early Access
OPA roles:
  • end_user

Lists all Active Directory domains that you (as the request user) can access based on the security policies

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
domainstring

Filter by domain name

Example:domain=myokta.local
containsstring, [ 1 .. 255 ] characters^[\w\-_.]+$

Filters for domain name where the name contains the search string

Example:contains=admin
GET
/v1/teams/{team_name}/active_directory
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/active_directory?domain=myokta.local&contains=admin' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
listArray of objects(ActiveDirectoryDomain)
Response
{ "list": [ {} ] }